Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Interface CloningBossInterface

All Known Implementing Classes:
  CloningBossEJBImpl

    public interface CloningBossInterface

Business interface for the CloningBoss EJB

Method Summary
`void` | `clonePlatform(AuthzSubject subj, java.lang.Integer platformId, java.util.List cloneTargetIds)`
`void` | `clonePlatform(AuthzSubject subj, Platform master, Platform clone)`
`java.util.List` | `findPlatformsByTypeAndName(AuthzSubject subj, java.lang.Integer pType, java.lang.String nameRegEx)`

Method Detail

### findPlatformsByTypeAndName

    java.util.List findPlatformsByTypeAndName(AuthzSubject subj,
                                              java.lang.Integer pType,
                                              java.lang.String nameRegEx)
                                              throws java.rmi.RemoteException

  Parameters:
    `subj` -
    `pType` - platform type
    `nameRegEx` - regex which matches either the platform fqdn or the resource sortname
  Throws:
    `java.rmi.RemoteException`

### clonePlatform

    void clonePlatform(AuthzSubject subj,
                       java.lang.Integer platformId,
                       java.util.List cloneTargetIds)
                       throws SessionNotFoundException,
                              SessionTimeoutException,
                              SessionException,
                              PermissionException,
                              PlatformNotFoundException,
                              java.rmi.RemoteException

  Parameters:
    `subj` - Method ensures that the master platform has viewable permissions and the clone targets have modifiable permissions.
    `platformId` - master platform id
    `cloneTaretIds` - List List of Platform Ids to be cloned
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `SessionException`
    `PermissionException`
    `PlatformNotFoundException`
    `java.rmi.RemoteException`

### clonePlatform

    void clonePlatform(AuthzSubject subj,
                       Platform master,
                       Platform clone)
                       throws AppdefEntityNotFoundException,
                              ConfigFetchException,
                              PermissionException,
                              javax.ejb.FinderException,
                              javax.ejb.CreateException,
                              javax.naming.NamingException,
                              SessionNotFoundException,
                              SessionTimeoutException,
                              SessionException,
                              VetoException,
                              AppdefDuplicateNameException,
                              ValidationException,
                              GroupNotCompatibleException,
                              UpdateException,
                              EncodingException,
                              java.rmi.RemoteException

  Throws:
    `AppdefEntityNotFoundException`
    `ConfigFetchException`
    `PermissionException`
    `javax.ejb.FinderException`
    `javax.ejb.CreateException`
    `javax.naming.NamingException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `SessionException`
    `VetoException`
    `AppdefDuplicateNameException`
    `ValidationException`
    `GroupNotCompatibleException`
    `UpdateException`
    `EncodingException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.